Subject: Re: [PATCH] flexcan: disable bus error interrupts for the i.MX28

From: Marc Kleine-Budde <[email-masked]>
Date: Mon, 08 Oct 2012 11:31:31 +0200

On 10/08/2012 11:13 AM, Dong Aisheng-B29396 wrote:
>>> I just checked our ic guy of flexcan, it seems he also had no sense of
>> this issue.
>>>
>>> Below is some version info what I got:
>>> Mx6s use FlexCAN3, with IP version 10.00.12.00
>>> Mx53 use FlexCAN2 (with glitch filter), with IP version 03.00.00.00
>>> Mx28 use FlexCAN2 (with glitch filter), with IP version 03.00.04.00
>>> Mx35 use FlexCAN2 (without glitch filter) , with IP version
>>> 03.00.00.00
>>> Mx25 use FlexCAN2 (without glitch filter), with IP version 03.00.00.00
>>> I'm not sure if mx6q has such issue.
>>
>> OK, we need to find that out experimentally.
>>
> Our IC owner double checked the MX35 and MX53 IP and found the RX_WARN & TX_WARN
> Interrupt source actually are not connected to ARM.

Does this mean it's a SoC problem, not a problem of the ip core?

> That means flexcan will not trigger interrupt to ARM core even RX_WARN or TX_WARN
> Happens.
> This may be the root cause that why you cannot see RX_WARN interrupt if not enable
> bus error interrupt on mx35.
> He also checked that mx6q has the rx/tx warning interrupt connected to arm.
> So we guess mx6q does not have this issue.
> Anyway, we can test to confirm.

What about mx25?

Marc
-- 
Pengutronix e.K.                  | Marc Kleine-Budde           |
Industrial Linux Solutions        | Phone: +49-231-2826-924     |
Vertretung West/Dortmund          | Fax:   +49-5121-206917-5555 |
Amtsgericht Hildesheim, HRA 2686  | http://www.pengutronix.de   |